> ## Documentation Index
> Fetch the complete documentation index at: https://developer.finflexinfras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check QR payment status and get payin order details

> Check the payment status of a QR order and return additional payin order details from the database using ref_id.



## OpenAPI

````yaml /api-reference/openapi.json post /payin/check-qr-status
openapi: 3.0.3
info:
  description: >-
    Comprehensive financial APIs designed to streamline your business operations
    and enhance your customer experience.


    This documentation covers the Pay In APIs.
  license:
    name: MIT
  title: FinFlex API Reference
  version: 1.0.0
servers:
  - url: https://48x2gpzu9b.execute-api.ap-south-1.amazonaws.com
security:
  - bearerAuth: []
tags:
  - description: Pay-in operations
    name: Pay In
  - description: Health check endpoints
    name: Health
paths:
  /payin/check-qr-status:
    post:
      tags:
        - Pay In
      summary: Check QR payment status and get payin order details
      description: >-
        Check the payment status of a QR order and return additional payin order
        details from the database using ref_id.
      parameters:
        - description: Finflex client ID (starts with finflex_test_ or finflex_live_)
          example: finflex_test_6868706820
          in: header
          name: x-client-id
          required: false
          schema:
            type: string
        - description: Finflex client secret
          example: finflex_test_be3798f8-deed-4215-97b4-556049549670
          in: header
          name: x-client-secret
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                client_id:
                  example: finflex_test_6868706820
                  type: string
                ref_id:
                  example: QXCtRyzcsJp91752058602
                  type: string
                slug:
                  example: QXCtRyzcsJp9
                  type: string
              required:
                - client_id
                - slug
                - ref_id
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  payin_order:
                    description: Payin order details from DB
                    type: object
                  typof:
                    description: Response from Typof API
                    type: object
                type: object
          description: Status and payin order details returned
        '401':
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: >-
                      Authentication failed - please provide either valid client
                      credentials or a valid Bearer token
                    type: string
                  status:
                    example: false
                    type: boolean
                type: object
          description: Authentication failed
        '404':
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: 404
                    type: number
                  message:
                    example: Payin order not found with the provided ref_id
                    type: string
                type: object
          description: Payin order not found
      servers:
        - url: https://48x2gpzu9b.execute-api.ap-south-1.amazonaws.com/v1
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````